import * as riot from 'riot';
import TinyConsent from './src/TinyConsent.riot';
import TinyConsentButton from './src/TinyConsentButton.riot';

riot.register('tiny-consent', TinyConsent);
riot.register('tiny-consent-button', TinyConsentButton);

const consent = {
    cookies: [{
        title: 'Matomo',
        name: 'matamo_',
        id: 'matamo',
        content: 'Analyse des Benutzerverhaltens, damit helfen Sie uns diese Seite zu verbessern.',
        handleAgree: function() {
            console.log('agree');
        },
        handleReject: function() {
            console.log('reject');
        }
    },{
        id: 'wordpress2',
        name: 'wordpress2_',
        content: 'Wordpress und WooCommerce nutzen Session, diese werden zum einen für den Login genutzt, aber auch für den Warenkorb.',
        essential: true
    },{
        id: 'wordpress12',
        name: 'wordpress12_',
        content: 'Wordpress und WooCommerce nutzen Session, diese werden zum einen für den Login genutzt, aber auch für den Warenkorb.',
        essential: true
    },{
        id: 'wordpress3',
        name: 'wordpress3_',
        content: 'Wordpress und WooCommerce nutzen Session, diese werden zum einen für den Login genutzt, aber auch für den Warenkorb.',
        essential: true
    }]
};
riot.mount('tiny-consent', consent);
riot.mount('tiny-consent-button');